Skip to main content

Overview

Onboarding data is a set of required business information about the organizations that want to send and accept payments. This includes the MCC, publicly available website, and terms of service agreement. Providing the onboarding documents allows the organizations to have a seamless onboarding for accepting payments experience with reduced manual labor required.

Provide the onboarding data

To specify the onboarding data for an organization, call PATCH /v1/entities/{entity_id}/onboarding-data:
curl -X PATCH 'https://api.dev.tesouro.com/v1/entities/aea39...912/onboarding-data' \
     -H 'X-Finops-Version: 2025-06-23' \
     -H 'Authorization: Bearer ACCESS_TOKEN'
     -H 'Content-Type: application/json' \
     -d '{
       "business_profile": {
         "mcc": "1731",
         "url": "https://mycompany.com"
       },
       "tos_acceptance": {
         "ip": "192.0.2.1",
         "date": "2023-03-21T12:35:57.372Z"
       },
       "ownership_declaration": {
         "ip": "192.0.2.1",
         "date": "2023-05-03T11:27:54.736Z"
       }
     }'
A successful response returns the values received in the request.

Get the onboarding data

To get the data that an organization provided during onboarding, call GET /v1/entities/{entity_id}/onboarding-data:
curl -X GET 'https://api.sandbox.tesouro.com/v1/entities/aea39...912/onboarding-data' \
     -H 'X-Finops-Version: 2025-06-23' \
     -H 'Authorization: Bearer ACCESS_TOKEN'
A successful response contains the onboarding data of the specified organization:
{
  "business_profile": {
    "mcc": "1731",
    "url": "https://mycompany.com"
  },
  "tos_acceptance": {
    "ip": "192.0.2.1",
    "date": "2023-03-21T12:30:45.933Z"
  },
  "ownership_declaration": {
    "ip": "192.0.2.1",
    "date": "2023-05-03T11:27:54.736Z"
  }
}